package role

import (
	"net/http"

	"sundynix-micro-go/app/system/api/internal/logic/role"
	"sundynix-micro-go/app/system/api/internal/svc"
	"sundynix-micro-go/app/system/api/internal/types"
	"sundynix-micro-go/common/response"

	"github.com/zeromicro/go-zero/rest/httpx"
)

func AssignRoleMenusHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.AssignRoleMenusReq
		if err := httpx.Parse(r, &req); err != nil {
			response.Fail(w, err.Error())
			return
		}
		l := role.NewAssignRoleMenusLogic(r.Context(), svcCtx)
		err := l.AssignRoleMenus(&req)
		if err != nil {
			response.Fail(w, err.Error())
		} else {
			response.Ok(w)
		}
	}
}
